# Constrained form finding using the Force Density Method

This package provides equilibrium solvers and constraints
for constrained form finding using the "force density" method.

The solvers can be used through the `compas_fd` paclage directly,
or through COMPAS FormFinder, which is a form finding tool with a GUI
combining various different form finding approaches.

## Installation

Stable releases can be installed from PyPI.

```bash
pip install compas_fd
```

To install the latest development version, do:

```bash
git clone https://github.com/blockresearchgroup/compas_fd.git
cd compas_fd
pip install -e ".[dev]"
```

## Documentation

For further "getting started" instructions, a tutorial, examples, and an API reference,
please check out the online documentation here: [COMPAS DR docs](https://blockresearchgroup.github.io/compas_fd)

## Issue Tracker

If you find a bug or if you have a problem with running the code, please file an issue on the [Issue Tracker](https://github.com/BlockResearchGroup/compas_fd/issues).
